#include <stdio.h>
#include <stdlib.h>

__device__ int add(int a, int b){
	return a + b;
}

__global__ void map(int *a, int *b, int *c,int n){
	int tid = threadIdx.x;
	if(tid < n){
		c[tid] = a[tid] + b[tid];
	}
}